// -*- Mode: C++; -*-
//                            Package   : omniEvents
// defaults.h	              Created   : 1/10/99
//                            Author    : Paul Nader (pwn)
//
//    Copyright (C) 1998 Paul Nader.
//
//    This file is part of the omniEvents application.
//
//    omniEvents is free software; you can redistribute it and/or
//    modify it under the terms of the GNU Lesser General Public
//    License as published by the Free Software Foundation; either
//    version 2.1 of the License, or (at your option) any later version.
//
//    omniEvents is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//    Lesser General Public License for more details.
//
//    You should have received a copy of the GNU Lesser General Public
//    License along with this library; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
// Description:
//
// Contains definitions of default values.

/*
  $Log: defaults.h,v $
  Revision 1.2  2003/11/03 22:36:48  alextingle
  Updated License to GNU Lesser General Public v2.1

  Revision 1.1.1.1  2002/09/25 19:00:32  shamus13
  Import of OmniEvents source tree from release 2.1.1

  Revision 1.1  2000/09/05 01:07:40  naderp
  Added MaxQueueLength QOS.

  Revision 1.0  1999/11/01 16:48:08  naderp
  Initial revision

*/

#ifndef _DEFAULTS_H_
#define _DEFAULTS_H_

#define	PULL_RETRY_PERIOD	1
#define	MAX_QUEUE_LENGTH	1023
#define	MAX_EVENTS_PER_CONSUMER	0

#endif           // _DEFAULTS_H_
