#ifndef BISON_Y_TAB_HH
# define BISON_Y_TAB_HH

#ifndef YYSTYPE
typedef union {
  long			ival;		/* Long value			*/
  double		dval;		/* Double value			*/
  float			fval;		/* Float value			*/
  char			cval;		/* Char value			*/
  char			*sval;		/* string value			*/
  char			*kval;		/* key value			*/
  OEP_cfps		*cfps;		/* Channel Factory params	*/
  OEP_ecps		*ecps;		/* Event Channel params		*/
  OEP_caps		*caps;		/* Consumer Admin params	*/
  OEP_saps		*saps;		/* Supplier Admin params	*/
  OEP_prxy		*prxy;		/* Proxy params			*/
} yystype;
# define YYSTYPE yystype
# define YYSTYPE_IS_TRIVIAL 1
#endif
# define	CHANNELFACTORY_LABEL	257
# define	EVENTCHANNEL_LABEL	258
# define	CONSUMERADMIN_LABEL	259
# define	SUPPLIERADMIN_LABEL	260
# define	PROXYPUSHSUPP_LABEL	261
# define	PROXYPUSHCONS_LABEL	262
# define	PROXYPULLSUPP_LABEL	263
# define	PROXYPULLCONS_LABEL	264
# define	NAME_LABEL	265
# define	IOR_LABEL	266
# define	KEY_LABEL	267
# define	PORT_LABEL	268
# define	PULLRETRYPERIOD_LABEL	269
# define	MAXQUEUELENGTH_LABEL	270
# define	MAXEVENTSPERCONSUMER_LABEL	271
# define	IOR_VALUE	272
# define	KEY_VALUE	273
# define	INTEGER_LITERAL	274
# define	STRING_LITERAL	275
# define	TRUETOK	276
# define	FALSETOK	277


extern YYSTYPE yylval;

#endif /* not BISON_Y_TAB_HH */
